<?php


if(isset($_GET['edit']) && intval($_GET['edit'])!=NULL && mysql_result(mysql_query("SELECT COUNT(*) FROM `$db_base`.`kolhoz_collective` WHERE `id` = '".intval($_GET['edit'])."'"),0)!=0)
{
$edit=mysql_fetch_array(mysql_query("SELECT * FROM `$db_base`.`kolhoz_collective` WHERE `id` = '".intval($_GET['edit'])."'"));


echo "<div class='event'><h1><a href='?admin=$admin'>$admin_name</a> / Редактировать</h1></div>";
echo '<div class="content"><div class="block">';


if(isset($_POST['ok']))
{
$name=trim($_POST['name']);
if(strlen2($name)<1){$err=1;err_game('Слишком короткое название колхоза');}
$rating=intval($_POST['rating']);
$money=intval($_POST['money']);
$rubies=intval($_POST['rubies']);
$level=intval($_POST['level']);
$tehnika=intval($_POST['tehnika']);
$station=intval($_POST['station']);
$flowerbed=intval($_POST['flowerbed']);
$soil=intval($_POST['soil']);
$irrigate=intval($_POST['irrigate']);
$school=intval($_POST['school']);
$vet=intval($_POST['vet']);
$kulinary=intval($_POST['kulinary']);
$bank=intval($_POST['bank']);
$lib=intval($_POST['lib']);
$greenhouse=intval($_POST['greenhouse']);

if(!is_numeric($rating) || strlen2($rating)<1){$err=1;err_game('Неверное к-во опыта');}
if(!is_numeric($money) || strlen2($money)<1){$err=1;err_game('Неверное к-во монет');}
if(!is_numeric($rubies) || strlen2($rubies)<1){$err=1;err_game('Неверное к-во рубинов');}
if(!is_numeric($level) || strlen2($level)<1){$err=1;err_game('Неверный уровень');}
if(!is_numeric($tehnika) || strlen2($tehnika)<1){$err=1;err_game('Неверная механизация');}
if(!is_numeric($station) || strlen2($station)<1){$err=1;err_game('Неверная заправка');}
if(!is_numeric($flowerbed) || strlen2($flowerbed)<1){$err=1;err_game('Неверный обменник');}
if(!is_numeric($soil) || strlen2($soil)<1){$err=1;err_game('Неверный ур. склада удобрений');}
if(!is_numeric($irrigate) || strlen2($irrigate)>12){$err=12;err_game('Неверный ур. оросит. системы');}
if(!is_numeric($school) || strlen2($school)<1){$err=1;err_game('Неверный ур. школы');}
if(!is_numeric($vet) || strlen2($vet)<1){$err=1;err_game('Неверный ур. вет. клиники');}
if(!is_numeric($kulinary) || strlen2($kulinary)<1){$err=1;err_game('Неверный ур. кул. техникума');}
if(!is_numeric($bank) || strlen2($bank)<1){$err=1;err_game('Неверный ур. банка');}
if(!is_numeric($lib) || strlen2($lib)<1){$err=1;err_game('Неверный ур. библиотеки');}
if(!is_numeric($greenhouse) || strlen2($greenhouse)<1){$err=1;err_game('Неверный ур. теплицы');}
if (!isset($err))
{
mysql_query("UPDATE `$db_base`.`kolhoz_collective` SET `name` = '$name', `rating` = '$rating', `money` = '$money', `rubies` = '$rubies', `level` = '$level', `tehnika` = '$tehnika', `station` = '$station', `flowerbed` = '$flowerbed', `soil` = '$soil', `irrigate` = '$irrigate', `school` = '$school', `vet` = '$vet', `bank` = '$bank', `lib` = '$lib', `greenhouse` = '$greenhouse' WHERE `id` = '$edit[id]'");
header("Location:?admin=$admin");
}
}
echo "<ul>";
echo "<li style='padding-bottom:8px'>";
echo "<div class='small'>";
echo "</div></ul><div style='clear:both'></div>";
echo "<form method=\"post\">\n";
echo "Название:<br /><input name=\"name\" type=\"text\" maxlength='32' value='$edit[name]' /><br />\n";
echo "Опыт:<br /><input name=\"rating\" type=\"text\" maxlength='32' value='$edit[rating]' /><br />\n";
echo "Монеты:<br /><input name=\"money\" type=\"text\" maxlength='32' value='$edit[money]' /><br />\n";
echo "Рубины:<br /><input name=\"rubies\" type=\"text\" maxlength='32' value='$edit[rubies]'/><br />\n";
echo "Уровень:<br /><input name=\"level\" type=\"text\" maxlength='32' value='$edit[level]' /><br />\n";
echo "Механизация:<br /><input name=\"tehnika\" type=\"text\" maxlength='32' value='$edit[tehnika]' /><br />\n";
echo "Заправка:<br /><input name=\"station\" type=\"text\" maxlength='32' value='$edit[station]' /><br />\n";
echo "Цветник:<br /><input name=\"flowerbed\" type=\"text\" maxlength='32' value='$edit[flowerbed]' /><br />\n";
echo "Склад удобрений:<br /><input name=\"soil\" type=\"text\" maxlength='32' value='$edit[soil]' /><br />\n";
echo "Оросительная система:<br /><input name=\"irrigate\" type=\"text\" maxlength='32' value='$edit[irrigate]' /><br />\n";
echo "Школа:<br /><input name=\"school\" type=\"text\" maxlength='32' value='$edit[school]' /><br />\n";
echo "Ветеренарная клиника:<br /><input name=\"vet\" type=\"text\" maxlength='32' value='$edit[vet]' /><br />\n";
echo "Банк:<br /><input name=\"bank\" type=\"text\" maxlength='32' value='$edit[bank]' /><br />\n";
echo "Библиотека:<br /><input name=\"lib\" type=\"text\" maxlength='32' value='$edit[lib]' /><br />\n";
echo "Теплица:<br /><input name=\"greenhouse\" type=\"text\" maxlength='32' value='$edit[greenhouse]' /><br />\n";
echo "<input value='Сохранить' type='submit' name='ok' /></form>\n";
echo "</div>";
include_once 'inc/foot.php';
exit;
}



if(isset($_GET['del']) && intval($_GET['del'])!=NULL && mysql_result(mysql_query("SELECT COUNT(*) FROM `$db_base`.`kolhoz_collective` WHERE `id` = '".intval($_GET['del'])."'"),0)!=0)
{
$del=mysql_fetch_array(mysql_query("SELECT * FROM `$db_base`.`kolhoz_collective` WHERE `id` = '".intval($_GET['del'])."'"));
if(isset($_GET['ok']))
{
mysql_query("DELETE FROM `$db_base`.`kolhoz_collective` WHERE `id` = '$del[id]'");
header("Location:?admin=$admin");
}
podtv("?admin=$admin&del=$del[id]&ok","?admin=$admin");
include_once 'inc/foot.php';
}

echo "<div class='event'><h1><a href='?admin=list'>Админка</a> / $admin_name</h1></div>";
echo '<div class="content"><div class="block">';


$k_post = mysql_result(mysql_query("SELECT COUNT(*) FROM `$db_base`.`kolhoz_collective`"),0);
if ($k_post==0)
{
echo "Список пуст...";
}
$k_page=k_page($k_post,$set['p_str']);
$page=page($k_page);
$start=$set['p_str']*$page-$set['p_str'];
$q=mysql_query("SELECT * FROM `$db_base`.`kolhoz_collective` ORDER BY `id` DESC LIMIT $start, $set[p_str]");
echo "<ul>";
while($post=mysql_fetch_array($q))
{
echo "<li style='padding-bottom:8px'>";
echo "<div><a href='?admin=$admin&edit=$post[id]'><img width='16' height='16' src='images/icons/guild.png' alt='o' class='portrait'></a>&nbsp;<span><a href= '?admin=$admin&edit=$post[id]'>".hsc($post['name'])."</a></span><span class='minor'></span></span></div><div style='clear:both'></div></li>";
}
if ($k_page>1)str("?admin=$admin&",$k_page,$page); // Вывод страниц
echo "</ul></div>";
include_once 'inc/foot.php';
?>